Subject: Re: bug#35691: [bug-guix] remote configure failure due to bad pathnames for crt*.o

From: "Nelson H. F. Beebe" <[email-masked]>
Date: Wed, 15 May 2019 18:19:06 -0600

OK, I've made this change to /etc/config.scm

;; Old clause from GUIX 1.0 installation
;;  (packages
;;    (list (specification->package "nss-certs")))
;; New clause suggested in e-mail from Ludo Cortes Wed, 15 May 2019 18:29:06 +0200
  (packages (append (list (specification->package "nss-certs"))
                    %base-packages))

and then ran

	% guix remove gccgo gcc-objc gcc-objc++ gcc-bootstrap
	% guix package --list-installed | grep gcc
	gcc-toolchain   9.1.0   out     /gnu/store/aqv6njg05w2yqh8krgrjy0wcbfxb4nn3-gcc-toolchain-9.1.0

	% sudo -s
	# guix system reconfigure /etc/config.scm
	# reboot	

Even after that major update, and reboot, I still find that, from a
remote ssh connection, configure fails to find a C compiler, because
of the faulty construction of the path to crt1.o.

Can you folks reproduce that behavior at your end with the simple test
bundle that I put up at

	http://www.math.utah.edu/~beebe/guix-bug.tar.gz

?

-------------------------------------------------------------------------------
- Nelson H. F. Beebe                    Tel: +1 801 581 5254                  -
- University of Utah                    FAX: +1 801 581 4148                  -
- Department of Mathematics, 110 LCB    Internet e-mail: [email-masked]  -
- 155 S 1400 E RM 233                       [email-masked]  [email-masked] -
- Salt Lake City, UT 84112-0090, USA    URL: http://www.math.utah.edu/~beebe/ -
-------------------------------------------------------------------------------